---
apiVersion: operator.openshift.io/v1
kind: KubeControllerManager
metadata:
  annotations:
    include.release.openshift.io/self-managed-high-availability: "true"
    release.openshift.io/create-only: "true"
  creationTimestamp: "2022-03-08T10:13:53Z"
  generation: 3
  managedFields:
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
          f:release.openshift.io/create-only: {}
      f:spec:
        .: {}
        f:logLevel: {}
        f:managementState: {}
        f:operatorLogLevel: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:13:53Z"
  - apiVersion: operator.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:observedConfig:
          .: {}
          f:extendedArguments: {}
          f:serviceServingCert: {}
        f:unsupportedConfigOverrides: {}
      f:status:
        .: {}
        f:conditions: {}
        f:latestAvailableRevision: {}
        f:latestAvailableRevisionReason: {}
        f:nodeStatuses: {}
        f:readyReplicas: {}
    manager: cluster-kube-controller-manager-operator
    operation: Update
    time: "2022-03-08T10:39:03Z"
  name: cluster
  resourceVersion: "30171"
  selfLink: /apis/operator.openshift.io/v1/kubecontrollermanagers/cluster
  uid: d93ce96c-89b1-4aad-8f04-bed92b8acb81
spec:
  logLevel: Normal
  managementState: Managed
  observedConfig:
    extendedArguments:
      cluster-cidr:
      - 10.128.0.0/14
      cluster-name:
      - case03116926-lsn5h
      feature-gates:
      - APIPriorityAndFairness=true
      - RotateKubeletServerCertificate=true
      - SupportPodPidsLimit=true
      - NodeDisruptionExclusion=true
      - ServiceNodeExclusion=true
      - SCTPSupport=true
      - LegacyNodeRoleBehavior=false
      service-cluster-ip-range:
      - 172.30.0.0/16
    serviceServingCert:
      certFile: /etc/kubernetes/static-pod-resources/configmaps/service-ca/ca-bundle.crt
  operatorLogLevel: Normal
  unsupportedConfigOverrides: null
status:
  conditions:
  - lastTransitionTime: "2022-03-08T10:38:45Z"
    reason: NoUnsupportedConfigOverrides
    status: "True"
    type: UnsupportedConfigOverridesUpgradeable
  - lastTransitionTime: "2022-03-08T10:41:34Z"
    status: "False"
    type: StaticPodsDegraded
  - lastTransitionTime: "2022-03-08T10:38:55Z"
    message: All master nodes are ready
    reason: MasterNodesReady
    status: "False"
    type: NodeControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:47Z"
    status: "False"
    type: ConfigObservationDegraded
  - lastTransitionTime: "2022-03-08T10:50:09Z"
    status: "False"
    type: RevisionControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:50Z"
    status: "False"
    type: CertRotation_CSRSigningCert_Degraded
  - lastTransitionTime: "2022-03-08T10:40:10Z"
    status: "False"
    type: InstallerControllerDegraded
  - lastTransitionTime: "2022-03-08T10:41:49Z"
    message: 3 nodes are active; 3 nodes are at revision 8
    status: "True"
    type: StaticPodsAvailable
  - lastTransitionTime: "2022-03-08T10:52:33Z"
    message: 3 nodes are at revision 8
    reason: AllNodesAtLatestRevision
    status: "False"
    type: NodeInstallerProgressing
  - lastTransitionTime: "2022-03-08T10:46:04Z"
    status: "False"
    type: NodeInstallerDegraded
  - lastTransitionTime: "2022-03-08T10:38:54Z"
    status: "False"
    type: InstallerPodPendingDegraded
  - lastTransitionTime: "2022-03-08T10:38:54Z"
    status: "False"
    type: InstallerPodContainerWaitingDegraded
  - lastTransitionTime: "2022-03-08T10:38:54Z"
    status: "False"
    type: InstallerPodNetworkingDegraded
  - lastTransitionTime: "2022-03-08T10:44:06Z"
    status: "False"
    type: SATokenSignerDegraded
  - lastTransitionTime: "2022-03-08T10:38:57Z"
    reason: AsExpected
    status: "False"
    type: BackingResourceControllerDegraded
  - lastTransitionTime: "2022-03-08T10:38:59Z"
    status: "False"
    type: ResourceSyncControllerDegraded
  - lastTransitionTime: "2022-03-08T10:39:02Z"
    reason: AsExpected
    status: "False"
    type: KubeControllerManagerStaticResourcesDegraded
  - lastTransitionTime: "2022-03-08T10:39:12Z"
    status: "True"
    type: Upgradeable
  - lastTransitionTime: "2022-03-08T10:40:28Z"
    status: "False"
    type: TargetConfigControllerDegraded
  latestAvailableRevision: 8
  latestAvailableRevisionReason: ""
  nodeStatuses:
  - currentRevision: 8
    nodeName: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - currentRevision: 8
    nodeName: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - currentRevision: 8
    nodeName: master-2.case03116926.lab.upshift.rdu2.redhat.com
  readyReplicas: 0
